      subroutine expand(r1,r2,f,l,k2,H)
      implicit real*8(a-h,o-z)
      real*8    H(0:*)
      external  f
      parameter (ngld=21, mmax=100)
      real*8    xgld(ngld),wgld(ngld),P(0:mmax,ngld),fp(0:mmax)
      save      xgld,wgld,P,pi
      common/clebma/faclog(0:499)
      logical   first
      data      first/.true./
      if (first) then	! prepare pivot, weight & legendre-func.
         call gauleg(-1.D0,1.D0,xgld,wgld,ngld)
         do n=1,ngld
            P(0,n)=1.D0
            P(1,n)=xgld(n)
            do m=2,mmax
               P(m,n)=((2*m-1)*xgld(n)*P(m-1,n)-(m-1)*P(m-2,n))/m
            enddo
         enddo
         pi=atan(1.D0)*4.D0
         first=.false.
      endif
      do m=0,k2+l
         fp(m)=0.D0
         do n=1,ngld
            rp=sqrt(r1*r1+r2*r2+2.D0*r1*r2*xgld(n))
            fp(m)=fp(m)+f(rp)/rp**l*P(m,n)*wgld(n)
         enddo
      enddo
      do k1=abs(l-k2),l+k2,2
         H(k1)=0.D0
         do l1=0,l
            l2=l-l1
            fac=(-1)**(l+k1+l2+(l-k1-k2)/2)*r1**l1*r2**l2*sqrt(pi)
     &           *exp((faclog(2*l+1)-faclog(2*l1)-faclog(2*l2))/2.D0)
            do m=max(abs(k1-l1),abs(k2-l2)),min(k1+l1,k2+l2),2
               H(k1)=H(k1)+fac*(2*m+1)*fp(m)
     &              *clebz(2*l1,2*m,2*k1)*clebz(2*l2,2*m,2*k2)
     &              *rac(2*k1,2*l1,2*k2,2*l2,2*m,2*l)
            enddo
         enddo
      enddo
      return
      end
