#! /bin/sh

grep -v '^ *#' <<EOF | ../accba
12C(d,2He)12B[4-;Ex=4.5] @ 270MeV
  f  f  f             / DWBA,point-proj.,triple-diff.c.s.
  0  25  1            / thmin,thmax,dth
 12  6  0  4  270  -14.80  4.5  / A,ZA,IA,IB,Elab,Qval,Ex
 -1 1 4               / ptr,ntr,(jtr(i),i=1,ntr)
 150  0.1  70         / nRL,dRL,Lmax
  30  0.5   5  2  0   / nrs,drs,mrs,lamax,lbmax
  20  0.0  1.0        / nE12,E12min,E12max
# d-12C @ 270 MeV, Uesaka param.
#15.52 1.60  0.66   8.11 0.0 1.59  0.62  1.3 / dA: VR,rR,aR,WV,WD,rI,aI,rC
# 3.65 0.87  0.91                            /     VLS,rLS,aLS
# d-12C @ 270 MeV, Oonishi param.
 27.7  1.22  0.86  40.6  0.0 1.10  0.892 1.3 / dA: VR,rR,aR,WV,WD,rI,aI,rC
  3.81 0.71  0.68                            /     VLS,rLS,aLS
# 2He-12C @ 270 MeV, artificially determined
#15.52 1.60  0.66  25.   0.0 1.59  0.62  1.3 / dB: VR,rR,aR,WV,WD,rI,aI,rC
# p-12C @ 134 MeV [Bauhoff..., NP A410('83)180]
 16.54 1.230 0.784 10.26 0.0 1.313 0.540 1.3 / pB: VR,rR,aR,WV,WD,rI,aI,rC
# p-12C @ 156 MeV [Comparat..., NP A221('74)403-413]
#12.84 1.40  0.515 25.4  0.0 0.805 0.71 1.415 / pB: VR,rR,aR,WV,WD,rI,aI,rC
# two-body effective interaction [Franey & Love, PRC 31('85)488-498, 140MeV]
# s t x r n (V(i),mu(i),i=1,n)! r:1=re,2=im, x:1=Yukawa,2=delta,3=r^2*Yukawa
  1 1 1 1 3  3.5  0.7143  257.05  2.5  -631.79  4.0 / real central direct
  1 1 1 2 2               132.37  2.5  -470.63  4.0 / imag central direct
  1 1 3 1 4  54.1158 1.429  -302.105 1.818  1706.87  2.5  -9194.06 4.0
  1 1 3 2 4  16.5249 1.429  -162.008 1.818   976.375 2.5  -5643.60 4.0
  1 1 2 1 1  -44.38  0 / real central exchange
  1 1 2 2 1   -3.53  0 / imag central exchange
 -1 /
# single-particle potential parameters
 1.25  0.65  6  1.3  / r0, a, VLS, r0C
# single-particle orbit definition
#'p0s1/2'   V   50.00  34.00  / orbit, search-param, V0, B.E.
 'p0p3/2'   V   50.00  15.96  / orbit, search-param, V0, B.E.
 'p0p1/2'   V   50.00  13.77  / orbit, search-param, V0, B.E.
#'n0p3/2'   V   50.00   5.12  / orbit, search-param, V0, B.E.
#'n0p1/2'   V   50.00   3.37  / orbit, search-param, V0, B.E.
 'n1s1/2'   V   50.00   1.85  / orbit, search-param, V0, B.E.
 'n0d5/2'   V   50.00   1.095 / orbit, search-param, V0, B.E.
 'n0d3/2'   V   50.00   0.01  / orbit, search-param, V0, B.E.
 'end' /
# spectroscopic-amplitude for p-h configurations
 'p0p3/2' 'n0d5/2'  0.81293  / hole, particle, spectroscopic amplitude
 'end' /
EOF
exit
