#! /bin/sh

# file1 fac1 file2 fac2

TEMP1=/tmp/accba-tmp1.dat
TEMP2=/tmp/accba-tmp2.dat

awk '\
/^# angle /{out=1};\
/^ +[0-9]/{if(out){print $1,$2*'"$2"',$3,$4,$5,$6}}\
' $1 > $TEMP1

awk '\
/^# angle /{out=1};\
/^ +[0-9]/{if(out){print $1,$2*'"$4"',$3,$4,$5,$6}}\
' $3 > $TEMP2

echo '# angle      xsec       Ay      Ayy      Axx      Axz'

paste $TEMP1 $TEMP2 |\
awk '/./{
cs1=$2;cs2=$8;cs=cs1+cs2;w1=cs1/cs;w2=cs2/cs;\
printf("%7.2f%12.3E%9.4f%9.4f%9.4f%9.4f\n",\
$1,cs,$3*w1+$9*w2,$4*w1+$10*w2,$5*w1+$11*w2,$6*w1+$12*w2)\
}'

rm $TEMP1 $TEMP2

