      subroutine ffexpd(rs,lp,la,nR,dR,ff,H)
      implicit real*8(a-h,o-z)
      include 'parameter.f'
      parameter  (gamma=0.5D0)
      real*8     ff(0:nRmax,2),H0(0:L1max)
      complex*16 H(0:nRmax,0:*)
      external   splint
      do im=1,2
         call spline(nR,dR,ff(0,im),0.D0,0.D0)
         do iR=0,nR
            RL=iR*dR
            call expand(RL,gamma*rs,splint,lp,la,H0)
            do L1=abs(lp-la),lp+la,2
               if (im.eq.1) then
                  H(iR,L1)=cmplx(H0(L1),0.D0)
               else
                  H(iR,L1)=cmplx(dble(H(iR,L1)),H0(L1))
               endif
            enddo
         enddo
      enddo
      return
c     In the limit of la=0 and rs=0, 
c     H(*,lp)/sqrt(4*pi) coincides with ff(*)
c            ^^^^^^^^^^^
      end
