#! /bin/sh

grep -v '^ *#' <<EOF | ../../accba
9Be(d,2He)9Li[3/2+;Ex=0] @ 270MeV
  f  f  f             / DWBA,point-proj.,triple-diff.c.s.
  0  25  1            / thmin,thmax,dth
  9  4  1.5  1.5  270  -15.049  0  / A,ZA,IA,IB,Elab,Qval,Ex
 +1 4 0 1 2 3         / ptr,ntr,(jtr(i),i=1,ntr)
 150  0.1  70         / nRL,dRL,Lmax
  30  0.5   5  2  0   / nrs,drs,mrs,lamax,lbmax
  20  0.0  1.0        / nE12,E12min,E12max
# d-12C @ 270 MeV, Oonishi param.
 27.7  1.22  0.86  40.6  0.0 1.10  0.892 1.3 / dA: VR,rR,aR,WV,WD,rI,aI,rC
  3.81 0.71  0.68                            /     VLS,rLS,aLS
# p-12C @ 134 MeV [Bauhoff..., NP A410('83)180]
 16.54 1.230 0.784 10.26 0.0 1.313 0.540 1.3 / pB: VR,rR,aR,WV,WD,rI,aI,rC
# two-body effective interaction [Franey & Love, PRC 31('85)488-498, 140MeV]
# s t x r n (V(i),mu(i),i=1,n)! r:1=re,2=im, x:1=Yukawa,2=delta,3=r^2*Yukawa
  1 1 1 1 3  3.5  0.7143  257.05  2.5  -631.79  4.0 / real central direct
  1 1 1 2 2               132.37  2.5  -470.63  4.0 / imag central direct
  1 1 3 1 4  54.1158 1.429  -302.105 1.818  1706.87  2.5  -9194.06 4.0
  1 1 3 2 4  16.5249 1.429  -162.008 1.818   976.375 2.5  -5643.60 4.0
  1 1 2 1 1  -44.38  0 / real central exchange
  1 1 2 2 1   -3.53  0 / imag central exchange
 -1 /
# single-particle potential parameters
 1.25  0.65  6  1.3  / r0, a, VLS, r0C
# single-particle orbit definition
 'p0p3/2'   V   60.00  16.60  / orbit, search-param, V0, B.E.
 'p0p1/2'   E   73.31  13.77  / orbit, search-param, V0, B.E.
 'n0p3/2'   V   40.00   3.28  / orbit, search-param, V0, B.E.
 'n0p1/2'   V   40.00   0.01  / orbit, search-param, V0, B.E.
 'end' /
# spectroscopic-amplitude for p-h configurations
# j=0
 'p0p3/2' 'n0p3/2'  0.08395  / hole, particle, spectroscopic amplitude
 'p0p1/2' 'n0p1/2' -0.11873  / hole, particle, spectroscopic amplitude
 'end' /
# j=1
 'p0p3/2' 'n0p3/2' -0.37353  / hole, particle, spectroscopic amplitude
 'p0p3/2' 'n0p1/2' -0.14935  / hole, particle, spectroscopic amplitude
 'p0p1/2' 'n0p3/2' -0.29706  / hole, particle, spectroscopic amplitude
 'p0p1/2' 'n0p1/2' -0.07780  / hole, particle, spectroscopic amplitude
 'end' /
# j=2
 'p0p3/2' 'n0p3/2'  0.71969  / hole, particle, spectroscopic amplitude
 'p0p3/2' 'n0p1/2'  0.00639  / hole, particle, spectroscopic amplitude
 'p0p1/2' 'n0p3/2' -0.11818  / hole, particle, spectroscopic amplitude
 'end' /
# j=3
 'p0p3/2' 'n0p3/2' -0.41315  / hole, particle, spectroscopic amplitude
 'end' /
EOF
exit

9Be(3/2+)-p-8Li(2+)   9.013328806-1.008664923-8.022486670 = -16.601819153778
9Li(3/2+)-n-8Li(2+)   9.026789122-1.007825032-8.022486670 =  -3.28126213452

# d-12C @ 270 MeV, Okamura(YS) param. #1
#20.65 1.378 0.785 30.37 0.0 1.093 0.869 1.3 / dA: VR,rR,aR,WV,WD,rI,aI,rC
# 2.40 0.808 0.715                           /     VLS,rLS,aLS
# d-12C @ 270 MeV, Okamura(YS) param. #2
 18.51 1.417 0.725 52.68 0.0 0.846 0.966 1.3 / dA: VR,rR,aR,WV,WD,rI,aI,rC
  3.56 0.678 0.718                           /     VLS,rLS,aLS
